import { GGcommand } from "../../GCC"
import { getBRUSH } from "../../main";

export class cmd_Size extends GGcommand {
    static name = ["size", "s"];
    static arguments = ["<radius:number>"];
    static description = "Change the radius/size of the current brush";

    static execute(args=[], _) {
        const value = args[0];
        const brush = getBRUSH();
        brush.setSize(value);
    }
}