import { GGcommand } from "../GCC";
import { notify } from "../other/helpers";

export class cmd_TestArray extends GGcommand {
    static name = ["testArray", "tarr"];
    static arguments = ["[array]", "<index:number>"];
    static description = "An example would be '!testArray [element0, element1, element2] 2' to return element2";

    static execute (args=[[""], 0], _) {
        var index = parseInt(args[1]) // Turns the the argument from a string to a number
        notify(`The array passed was [${args[0]}] \nThe value at index ${args[1]} of this array is '${args[0][index]}'`)
    }
}