import { cmd_GenShapeAt } from "./cmd_GenShapeAt";

export class cmd_GenShape extends cmd_GenShapeAt {
    static name = ["genShape"];
    static description = `Generate a primitive shape at the player's locations. Only cylinder / cyl supports [radius,height]. \nExample:\n    !genShape ball 10 stone\n    !genShape cylinder [5, 10] wood ["wood_type"="birch","stripped_bit"=true]\n    !genShape cone 7 orange_concrete [] replace stone [] grass []`;

    static shouldTP = true;

    static getPlaceTarget(sender) {
        return sender.location;
    }
}