import { GGcommand } from "../../GCC"
import { getBRUSH } from "../../main";

export class cmd_Block extends GGcommand {
    static name = ["block", "b"];
    static arguments = ["<block_name>", "<block_state:array>{optional}"];
    static description = "Change the block being used by the brush";

    static execute(args=[], _) {
        let blockData = args[1] || "defaultState";
        let block = args[0];
        const brush = getBRUSH();


        if (blockData == "" || blockData == "[]")
            blockData = "defaultState";

        brush.setBlock(block, blockData);
    }
}