import { GGcommand } from "../../GCC"
import { getBRUSH } from "../../main";

export class cmd_Shape extends GGcommand {
    static name = ["shape"];
    static arguments = ["<ball / cylinder / cyl / cube / cone / pattern / pat>"];
    static description = "Change the shape of the current brush";

    static execute(args=[], _) {
        const value = args[0];
        const brush = getBRUSH();
        brush.setShape(value);
    }
}